import oracle.ons.*;
import java.util.*;
import java.io.*;
import java.nio.*;
import java.text.SimpleDateFormat;

public class oracloidPublisher
{

  public static void main(String args[])
  {
    Calendar cal = Calendar.getInstance();
    SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    String event="VERSION=1.0 database=g5 { " +
                   "{instance=g51 percent=" + args[0] + " flag=GOOD aff=FALSE}" +
                   "{instance=g52 percent=" + args[1] + " flag=GOOD aff=FALSE}" +
                 "} timestamp=" + sdf.format(cal.getTime());

    // Set ONC-required System property for oracle.ons.oraclehome:
    //System.setProperty("oracle.ons.oraclehome", "/opt/oracle/product/11.1.0/client_1");

    Publisher p = new Publisher("onc/mylba");
    Notification n = new Notification("database/event/servicemetrics/s10gr2","","", event.getBytes());

    p.publish(n);

    try
    {
       java.lang.Thread.currentThread().sleep(100);
    }
    catch (Exception e)
    {
      e.printStackTrace(); 
    }

    p.close();
  }
}
